Security, Governance & Observability

Security and governance tools ensure sensitive data maintained by an organization is protected from inappropriate access and tampering, as well as helping organizations to achieve and maintain regulatory compliance. These tools are often used in conjunction with observability solutions/services to provide organizations with visibility into the status, quality, and integrity of their data, including identifying potential issues.

Together, these tools support a wide range of operations, including risk assessment, intrusion detection/monitoring/notification, data masking, data cataloging, data health/quality checks, issue identification/troubleshooting/resolution, and more.

The following security, governance, and observability tools and technologies are known to provide native connectivity to Snowflake:

Solution

Version / Installation Requirements

Notes

Acryl Data

Acryl Data: No requirements

Snowflake: No requirements

Alation

Alation: No requirements

Snowflake: No requirements

ALTR

Available in Partner Connect

ALTR: No requirements

Snowflake: No requirements

Anomalo

Anomalo: No requirements

Snowflake: No requirements

Atlan

Atlan: No requirements

Snowflake: No requirements

Baffle

Baffle: No requirements

Snowflake: No requirements; however, external tokenization requires Snowflake Enterprise Edition (or higher)

Bigeye

Bigeye: No requirements

Snowflake: No requirements

BigID

BigID: Any supported version of BigID

Snowflake: No requirements

Collibra

Collibra: No requirements

Snowflake: JDBC Driver — download from Maven

CyberRes Voltage

CyberRes Voltage: SecureData for Snowflake (includes version 6.20 of the Voltage SecureData Simple API, packaged within the JAR file voltage-snowflake-aws-1.0.0.jar and bash scripts for automating the setup, verification, and removal of Snowflake resources and AWS service instances)

In addition, the AWS account should be provisioned with privileges to create minimally the following services:

  • AWS Service (Minimum Privileges Required)

  • S3 (S3 Buckets: List, Create, Delete Objects (files): Read, Write)

  • Identity and Access Management IAM (Identity and Access Management IAM)

  • Lambda (List, Create, Delete, Execute)

  • API Gateway (API Gateway)

  • Secrets Manager, if used (Secrets: Access)

  • Virtual Private Cloud, if used (Subnet: Access Security Group: Access)

Snowflake: No requirements

Datadog

Datadog: Agent 7.23.0

Snowflake: No requirements

Dataguise

Available in Partner Connect

Dataguise: Data Discovery + Protection Software

Snowflake: No requirements

data.world

Available in Partner Connect

data.world: No requirements

Snowflake: No requirements

Fortanix

Fortanix: Data Security Manager SaaS

Snowflake: External function & AWS API Gateway

HashiCorp Vault

HashiCorp: Vault 1.7 (or higher), HCP Vault

Snowflake: No requirements

Hunters

Available in Partner Connect

Hunters: No requirements

Snowflake: No requirements

Immuta

Available in Partner Connect

Immuta: v2.7 (or higher)

Snowflake: No requirements

Informatica

Informatica Data Governance and Compliance:

  • Cloud Connector for Snowflake — available directly in the Informatica Cloud interface

  • Secure Agent — download and install from the Informatica Cloud interface

Snowflake: No requirements

jSonar

jSonar: No requirements

Snowflake: No requirements

Lacework

Lacework: No requirements

Snowflake: No requirements

Monte Carlo

Monte Carlo: No requirements

Snowflake: No requirements

Okera

Okera: Okera SaaS or Okera v2.10+

Snowflake: For Standard Edition accounts, use Okera BI Gateway. For Enterprise Edition accounts (or higher), no requirements.

OneTrust

OneTrust: Data Governance

Snowflake: No requirements

Privacera

Privacera: No requirements

Snowflake: No requirements

Protegrity

Protegrity: No requirements

Snowflake: No requirements; however, external tokenization requires Snowflake Enterprise Edition (or higher)

Satori

Satori: No requirements, but must change the hostname to use Satori as the hostname

Snowflake: No requirements

SecuPi

SecuPi: No requirements

Snowflake: No requirements

Select Star

Select Star: No requirements

Snowflake: No requirements

Skyflow

Skyflow: No requirements

Snowflake: No requirements

Additional resources:

Tamr

Tamr: 2019.011.0-0.3

Snowflake: No requirements

ThoughtSpot

ThoughtSpot: No requirements

Snowflake: No requirements

Trustlogix

Trustlogix: No requirements

Snowflake: No requirements

  • Additional resources:

Back to top